rio_add_outb_message
Prev | Functions | Next

## Name

rio_add_outb_message — Add RIO message to an outbound mailbox queue

## Synopsis

`int rio_add_outb_message (` | struct rio_mport * | mport,
| struct rio_dev * | rdev,
| int | mbox,
| void * | buffer,
| size_t | len`)`;

## Arguments

`mport`

  RIO master port containing the outbound queue

`rdev`

  RIO device the message is be sent to

`mbox`

  The outbound mailbox queue

`buffer`

  Pointer to the message buffer

`len`

  Length of the message buffer

## Description

Adds a RIO message buffer to an outbound mailbox queue for transmission. Returns 0 on success.

Prev | Up | Next
RIO_DEVICE | Home | rio_add_inb_buffer